#include <iostream>
using namespace std;
int main()
{
    long long n,k,i,r=0,m=0,p=0;
    bool pom=true;
    cin>>n>>k;
    long long a[n],l[n];
    for(i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for(i=0;i<n;i++)
    {
    for(int j=0;j<n;j++)
    {
        for(int v=0;v<m;v++)
        {
            if(a[i]==l[v])
                pom=false;
        }
        if(!pom)
            break;
        if(a[i]==a[j])
            r++;
            if(r==k)
            {
            p++;
            l[m]=a[i];
            m++;
            }
    }
    r=0;
    pom=true;
    }
    cout<<p<<endl;
    for(int x=0;x<p;x++)
        cout<<l[x]<<" ";
    return 0;
}